import { expect, tap } from '@pushrocks/tapbundle';
import { Qenv } from '@pushrocks/qenv';
import * as smartmail from '@pushrocks/smartmail';

const testQenv = new Qenv('./', './.nogit');

import * as mailgun from '../ts/index';


let testMailgunAccount: mailgun.MailgunAccount;
let testSmartmail: smartmail.Smartmail;

tap.test('first test', async () => {
  testMailgunAccount = new mailgun.MailgunAccount(testQenv.getEnvVarOnDemand('MAILGUN_API_TOKEN'));
  expect(testMailgunAccount).to.be.instanceOf(mailgun.MailgunAccount);
});

tap.test('should create a smartmail', async () => {
  testSmartmail = new smartmail.Smartmail({
    body: 'hi there. This is the body.',
    from: 'noreply@mail.lossless.com',
    subject: 'hi there. This is the subject'
  });
  return testSmartmail;
});

tap.test('should send a smartmail', async () => {
  testMailgunAccount.sendSmartMail(testSmartmail, 'sandbox@mail.git.zone');
});

tap.start();
